<?php

$path = realpath(dirname(__FILE__)) . '/';

/**
 * Take values from existing config files and place them into the new config files
 */
  
// local_settings.php copied in upgrade.php

// Values in config.php
$source_path = $path.'system/application/config/config.php';
$dest_path = $path.'scalar-2.1.5/system/application/config/config.php';
$source_str = file_get_contents($source_path);
$dest_str = file_get_contents($dest_path);
$uri_protocol = 'PATH_INFO';
$enable_hooks = FALSE;
$log_threshold = 0;
$encryption_key = '';
$cookie_prefix = '';
$cookie_domain = '';
if (preg_match( "/config\['uri_protocol'\] = '(.+?)';/", $source_str, $matches )) $uri_protocol = $matches[1];
if (preg_match( "/config\['enable_hooks'\] = (.+?);/", $source_str, $matches )) $enable_hooks = $matches[1];
if (preg_match( "/config\['log_threshold'\] = (.+?);/", $source_str, $matches )) $log_threshold = $matches[1];
if (preg_match( "/config\['encryption_key'\] = '(.+?)';/", $source_str, $matches )) $encryption_key = $matches[1];
if (preg_match( "/config\['cookie_prefix'\] = \(getenv\('SCALAR_COOKIE_PREFIX'\) \? getenv\('SCALAR_COOKIE_PREFIX'\) : '(.+?)'\);/", $source_str, $matches )) $cookie_prefix = $matches[1];
if (preg_match( "/config\['cookie_domain'\] = \(getenv\('SCALAR_COOKIE_DOMAIN'\) \? getenv\('SCALAR_COOKIE_DOMAIN'\) : '(.+?)'\);/", $source_str, $matches )) $cookie_domain = $matches[1];
$dest_str = preg_replace(
  "/config\['uri_protocol'\] = 'PATH_INFO';/",
  'config[\'uri_protocol\'] = \''.$uri_protocol.'\';',
  $dest_str
);
$dest_str = preg_replace(
  "/config\['enable_hooks'\] = FALSE;/",
  'config[\'enable_hooks\'] = '.$enable_hooks.';',
  $dest_str
);
$dest_str = preg_replace(
  "/config\['log_threshold'\] = 0;/",
  'config[\'log_threshold\'] = '.$log_threshold.';',
  $dest_str
);
$dest_str = preg_replace(
  "/config\['encryption_key'\] = \(getenv\('SCALAR_ENCRYPTION_KEY'\) \? getenv\('SCALAR_ENCRYPTION_KEY'\) : ''\);/",
  'config[\'encryption_key\'] = \''.$encryption_key.'\';',
  $dest_str
);
$dest_str = preg_replace(
  "/config\['cookie_prefix'\] = \(getenv\('SCALAR_COOKIE_PREFIX'\) \? getenv\('SCALAR_COOKIE_PREFIX'\) : ''\);/",
  'config[\'cookie_prefix\'] = (getenv(\'SCALAR_COOKIE_PREFIX\') ? getenv(\'SCALAR_COOKIE_PREFIX\') : \''.$cookie_prefix.'\');',
  $dest_str
);
$dest_str = preg_replace(
  "/config\['cookie_domain'\] = \(getenv\('SCALAR_COOKIE_DOMAIN'\) \? getenv\('SCALAR_COOKIE_DOMAIN'\) : ''\);/",
  'config[\'cookie_domain\'] = (getenv(\'SCALAR_COOKIE_DOMAIN\') ? getenv(\'SCALAR_COOKIE_DOMAIN\') : \''.$cookie_domain.'\');',
  $dest_str
);
file_put_contents($dest_path, $dest_str);

// Values in database.php
$source_path = $path.'system/application/config/database.php';
$dest_path = $path.'scalar-2.1.5/system/application/config/database.php';
$source_str = file_get_contents($source_path);
$dest_str = file_get_contents($dest_path);
$db_user = '';
$db_pass = '';
$db_name = '';
if (preg_match( "/db\['default'\]\['username'\] = '(.+?)';/", $source_str, $matches )) $db_user = $matches[1];
if (preg_match( "/db\['default'\]\['password'\] = '(.+?)';/", $source_str, $matches )) $db_pass = $matches[1];
if (preg_match( "/db\['default'\]\['database'\] = '(.+?)';/", $source_str, $matches )) $db_name = $matches[1];
$dest_str = preg_replace(
  "/db\['default'\]\['username'\] = \(getenv\('SCALAR_DB_USERNAME'\) \? getenv\('SCALAR_DB_USERNAME'\) : ''\);/",
  'db[\'default\'][\'username\'] = \''.$db_user.'\';',
  $dest_str
);
$dest_str = preg_replace(
  "/db\['default'\]\['password'\] = \(getenv\('SCALAR_DB_PASSWORD'\) \? getenv\('SCALAR_DB_PASSWORD'\) : ''\);/",
  'db[\'default\'][\'password\'] = \''.$db_pass.'\';',
  $dest_str
);
$dest_str = preg_replace(
  "/db\['default'\]\['database'\] = \(getenv\('SCALAR_DB_DATABASE'\) \? getenv\('SCALAR_DB_DATABASE'\) : ''\);/",
  'db[\'default\'][\'database\'] = \''.$db_name.'\';',
  $dest_str
);
file_put_contents($dest_path, $dest_str);

// Values in content_lang.php
$source_path = $path.'system/application/language/en/content_lang.php';
$dest_path = $path.'scalar-2.1.5/system/application/language/en/content_lang.php';
$source_str = file_get_contents($source_path);
$dest_str = file_get_contents($dest_path);
$install_name = '';
if (preg_match( "/lang\['install_name'\] = \(getenv\('SCALAR_INSTALL_NAME'\) \? getenv\('SCALAR_INSTALL_NAME'\) : '(.+?)'\);/", $source_str, $matches )) $install_name = $matches[1];
$dest_str = preg_replace(
  "/lang\['install_name'\] = \(getenv\('SCALAR_INSTALL_NAME'\) \? getenv\('SCALAR_INSTALL_NAME'\) : 'Scalar'\);/",
  'lang[\'install_name\'] = (getenv(\'SCALAR_INSTALL_NAME\') ? getenv(\'SCALAR_INSTALL_NAME\') : \''.$install_name.'\');',
  $dest_str
);		
file_put_contents($dest_path, $dest_str);

?>